org.springframework.web

## Class HttpRequestMethodNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.springframework.web.HttpRequestMethodNotSupportedException

All Implemented Interfaces:
  Serializable

    public class HttpRequestMethodNotSupportedException
    extends ServletException

Exception thrown when a request handler does not support a specific request method.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpRequestMethodNotSupportedException(String method)` Create a new HttpRequestMethodNotSupportedException.
`HttpRequestMethodNotSupportedException(String method, Collection<String> supportedMethods)` Create a new HttpRequestMethodNotSupportedException.
`HttpRequestMethodNotSupportedException(String method, String msg)` Create a new HttpRequestMethodNotSupportedException.
`HttpRequestMethodNotSupportedException(String method, String[] supportedMethods)` Create a new HttpRequestMethodNotSupportedException.
`HttpRequestMethodNotSupportedException(String method, String[] supportedMethods, String msg)` Create a new HttpRequestMethodNotSupportedException.

### Method Summary

Methods
`String` `getMethod()` Return the HTTP request method that caused the failure.
`Set<HttpMethod>` `getSupportedHttpMethods()` Return the actually supported HTTP methods, if known, as `HttpMethod` instances.
`String[]` `getSupportedMethods()` Return the actually supported HTTP methods, if known.

### Methods inherited from class javax.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpRequestMethodNotSupportedException

    public HttpRequestMethodNotSupportedException(String method)

Create a new HttpRequestMethodNotSupportedException.

Parameters:
  `method` - the unsupported HTTP request method

#### HttpRequestMethodNotSupportedException

    public HttpRequestMethodNotSupportedException(String method,
                                          String[] supportedMethods)

Create a new HttpRequestMethodNotSupportedException.

Parameters:
  `method` - the unsupported HTTP request method
  `supportedMethods` - the actually supported HTTP methods

#### HttpRequestMethodNotSupportedException

    public HttpRequestMethodNotSupportedException(String method,
                                          Collection<String> supportedMethods)

Create a new HttpRequestMethodNotSupportedException.

Parameters:
  `method` - the unsupported HTTP request method
  `supportedMethods` - the actually supported HTTP methods

#### HttpRequestMethodNotSupportedException

    public HttpRequestMethodNotSupportedException(String method,
                                          String msg)

Create a new HttpRequestMethodNotSupportedException.

Parameters:
  `method` - the unsupported HTTP request method
  `msg` - the detail message

#### HttpRequestMethodNotSupportedException

    public HttpRequestMethodNotSupportedException(String method,
                                          String[] supportedMethods,
                                          String msg)

Create a new HttpRequestMethodNotSupportedException.

Parameters:
  `method` - the unsupported HTTP request method
  `supportedMethods` - the actually supported HTTP methods
  `msg` - the detail message

### Method Detail

#### getMethod

    public String getMethod()

Return the HTTP request method that caused the failure.

#### getSupportedMethods

    public String[] getSupportedMethods()

Return the actually supported HTTP methods, if known.

#### getSupportedHttpMethods

    public Set<HttpMethod> getSupportedHttpMethods()

Return the actually supported HTTP methods, if known, as `HttpMethod` instances.